name: test
on:
  pull_request:
    branches: [ master ]
  push:
    branches: [ master ]
jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout 🛎️
        uses: actions/checkout@v2.3.1

      - name: Setup cmake
        uses: jwlawson/actions-setup-cmake@v1.9
        with:
          cmake-version: '3.13.x'
          
      - name: Get Libraries
        run: |
          git submodule update --init --recursive
          sudo apt install xorg-dev libglu1-mesa-dev

      - name: Build
        run: |
          cmake -B build -DTARGET_GROUP=test
          cmake --build ./build
          
      - name: Test
        run: |
          ./build/test/tests